ru.bitel.bgbilling.plugins.cashcheck.server.bean

## Class EndCreateCheckEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.plugins.cashcheck.server.bean.EndCreateCheckEvent

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  для формирования вида чека использовать динамический код, события устарели

      @Deprecated
      public class EndCreateCheckEvent
      extends LocalEvent

  Синхронный эвент завершения формирования чека, скрипт служит для формирования вида подвала чека - можно там что-то написать или просто или в зависимости от условий из чека.
  Author:
    dimon
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EndCreateCheckEvent()` Deprecated.
    `` | `EndCreateCheckEvent(int pluginUID, int cid, Check check, Printer printer)` Deprecated. для формирования вида чека использовать динамический код, события устарели

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Check` | `getCheck()` Deprecated. Возвращает чек
    `Printer` | `getPrinter()` Deprecated. Текущий выбранный принтер, на котором печатается.
    `int` | `getTypeId()` Deprecated. Для поддержки совместимости со старыми событиями с данным методом, который могли использовать скрипты.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EndCreateCheckEvent

          protected EndCreateCheckEvent()

      Deprecated.

    - #### EndCreateCheckEvent

          @Deprecated
          public EndCreateCheckEvent(int pluginUID,
                                                 int cid,
                                                 Check check,
                                                 Printer printer)

      Deprecated. для формирования вида чека использовать динамический код, события устарели

  - ### Method Detail

    - #### getTypeId

          public int getTypeId()

      Deprecated.
      Description copied from class: `Event`
      Для поддержки совместимости со старыми событиями с данным методом, который могли использовать скрипты. Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns:

    - #### getCheck

          public Check getCheck()

      Deprecated.
      Возвращает чек
      Returns:
        объект "чек"

    - #### getPrinter

          public Printer getPrinter()

      Deprecated.
      Текущий выбранный принтер, на котором печатается.
      Returns:
        объект Printer.